import request from '@/utils/request'

// 查询场景音乐列表
export function listScene(query) {
  return request({
    url: '/back/scene/list',
    method: 'get',
    params: query
  })
}

// 查询场景音乐详细
export function getScene(id) {
  return request({
    url: '/back/scene/' + id,
    method: 'get'
  })
}

// 新增场景音乐
export function addScene(data) {
  return request({
    url: '/back/scene',
    method: 'post',
    data: data
  })
}

// 修改场景音乐
export function updateScene(data) {
  return request({
    url: '/back/scene',
    method: 'put',
    data: data
  })
}

// 删除场景音乐
export function delScene(id) {
  return request({
    url: '/back/scene/' + id,
    method: 'delete'
  })
} 